{% extends 'base.html' %}
{% load crispy_forms_tags %}

{% block jumbotron_content %}
  <h2>Управление шаблонными письмами</h2>
  <p>На этой странице можно просмотреть или заменить вступительные задания, которые будут автоматически отправляться вашим участникам, после того, как те проходят фильтр группы набора.</p>

  <h2 class="text-center"><span class="glyphicon glyphicon-wrench"></span> Тут идут работы <span class="glyphicon glyphicon-wrench"></span></h2>
  <p class="text-center">Скорее всего, что-то не работает</p>

  <p>У вас есть возможность редактировать шаблоны следующим программам:
  <ol>
  {% for w_p in w_metas %}
    <li>{{ w_p.workshop_name }}: &laquo;{{ w_p.program_name }}&raquo; (<a href="http://letnyayashkola.org/{{ w_p.workshop_slug }}">страница на letnyayashkola.ORG)</a></li>
  {% endfor %}
  </ol>
</p>
{% endblock %}

{% block main_content %}
  <h3>Текущие шаблоны:</h3>
  <ol>
  {% for tmpl in wp_templates %}
    {% with tmpl.workshop_program as w_p %}
      <li>Шаблон письма программе {{ w_p.workshop_name }}: &laquo;{{ w_p.program_name }}&raquo;<br/>
           ({{ w_p.workshop_slug }}/{{ w_p.program_slug }})
           <a href="#">файл с заданием</a> от {{ tmpl.date_created }}<br/>
           Триггер: {{ tmpl.get_email_trigger_type_display }}</br/>
           <button type="button" class="btn btn-success" data-toggle="modal" data-target=".tanec-{{ tmpl.pk }}"><span class="glyphicon glyphicon-arrow-right"></span>Покажи мне лунный танец</button>

<div class="modal tanec-{{tmpl.pk}}" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel">[ЛШ2020] Тут типа превью письма</h4>
      </div>
      <div class="modal-body">
<pre class="pre-comment">
{{ tmpl.render }}
</pre>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Куда я попал?</button>
      </div>
    </div>
  </div>
</div>



      </li>
    {% endwith %}
  {% empty %}
     <h3 class="text-center">(таких нет)</h3>
     <p class="text-center">Для всех автоматических текстов используются шаблоны по умолчанию</p>
  {% endfor %}
  </ol>

  <h3>Запилить новый шаблон?</h3>
  {% crispy form %}

{% endblock %}
